#include<stdio.h>
#include<stdlib.h>
#include<math.h>
#define N 500

main(int argc, char *argv[]){

  FILE   *fp;
  char   cat1[20],cat2[20],mag[20];
  int    i,j,n1,n2,n,max;
  double sx,sy,dx,dy,dxm,dym;
  double x1[N],x2[N],y1[N],y2[N];
  double d,dm;

  fp=fopen(argv[1],"r");
  fscanf(fp,"%s%s%lf%lf",cat1,cat2,&sx,&sy);
  fclose(fp);

  i=0;
  fp=fopen(cat1,"r");
  while(fscanf(fp,"%lf%lf%s",&x1[i],&y1[i],mag)!=EOF){
    i++;
    if(i==N) break;
  }
  fclose(fp);
  n1=i;

  i=0;
  fp=fopen(cat2,"r");
  while(fscanf(fp,"%lf%lf%s",&x2[i],&y2[i],mag)!=EOF){
    i++;
    if(i==N) break;
  }
  fclose(fp);
  n2=i;  

  max=0;
  for(dx=-15;dx<=15;dx+=1.0){
    for(dy=-15;dy<=15;dy+=1.0){
      n=0;
      for(i=0;i<n1;i++){
        dm=-1;
        for(j=0;j<n2;j++){
          d=sqrt(pow(x1[i]-x2[j]+sx+dx,2)+pow(y1[i]-y2[j]+sy+dy,2));
          if(d<dm || dm<0) dm=d;
        }
        if(dm<1.0) n++;
      }
      if(n>max){
        max=n;
        dxm=dx;
        dym=dy;
      }
    }
  }

  printf("%.1f  %.1f\n",sx+dxm,sy+dym);

  return 0;

}
