procedure supmatch

begin
  int    c,i,n,t1,t2,t3,t4
  int    nx,ny,mnx,mny
  real   cd1,cd2,w
  real   sx,sy,dx,dy
  real   rad1,rad2,ded1,ded2
  real   rh,rm,rs,dd,dm,ds
  string ras,des
  string buf,imglis,img[100],mimg,reg
  string tmp1,tmp2,tmp3,tmp4

  c=0
  if(access("astmt.sex")!=1){
    printf("astmt.sex is required.\n")
    c=1
  }
  if(access("astmt.param")!=1){
    printf("astmt.param is required.\n")
    c=1
  }
  if(c==1) bye


  printf("Frame list > ")
  scan(imglis)
  if(access(imglis)!=1){
    printf("%s is not found.\n",imglis)
    bye
  }

  i=0
  list=imglis
  while(fscan(list,buf)!=EOF){
    if(access(buf)!=1){
      printf("%s is not found.\n",buf)
      bye 
    }
    i+=1
    img[i]=buf
  }
  n=i


  t1=0
  if(access("tmp.fits")==1){
    tmp1=mktemp("tmp")//".fits"
    imren("tmp.fits",tmp1,ver-) 
    t1=1
  }
  t2=0
  if(access("match.txt")==1){
    tmp2=mktemp("match")//".txt"
    mv("match.txt",tmp2) 
    t2=1
  }
  t3=0
  if(access("shift.txt")==1){
    tmp3=mktemp("shift")//".txt"
    mv("shift.txt",tmp3) 
    t3=1
  }
  t4=0
  if(access("mkimg.cl")==1){
    tmp4=mktemp("mkimg")
    mv("mkimg.cl",tmp4)
    t4=1
  }

  hselect(img[1],"RA,DEC","yes") | scan(ras,des)
  print(ras) | scanf("%f:%f:%f",rh,rm,rs)
  print(des) | scanf("%f:%f:%f",dd,dm,ds)
  rad1=(rh+rm/60+rs/3600)*15
  if(substr(des,1,1)=="-") ded1=dd-dm/60-ds/3600
  else                     ded1=dd+dm/60+ds/3600


  for(i=1;i<=n;i+=1){

    hselect(img,"NAXIS1,NAXIS2","yes") | scan(nx,ny)
    mnx=nx+2000
    mny=ny+2000

    mimg="m"//img[i]
    if(access(mimg)==1) imdel(mimg)
    printf("mkimage(\"%s\",\"make\",-32768,2,\"%d %d\")\n",mimg,mnx,mny, > "mkimg.cl")
    cl < mkimg.cl
    delete("mkimg.cl")

    imhead(img[i],l+, > "header.dat")
    mkheader(mimg,"header.dat",append+,ver-)
    hedit(mimg,"CRPIX1",'(CRPIX1+1000)',update+,ver-,show-)
    hedit(mimg,"CRPIX2",'(CRPIX2+1000)',update+,ver-,show-)

    mnx=nx+1000
    mny=ny+1000
    reg=mimg//"[1001:"//mnx//",1001:"//mny//"]"
    imcopy(img[i],reg,ver-)
    delete("header.dat")
    imcopy(img[i],"tmp.fits",ver-) 
    !sex tmp.fits -c astmt.sex
    imdel("tmp.fits")
    if(access("all.cat")!=1){
      printf("CATALOG_NAME must be \"all.cat\".\n")
      imdel("tmp.fits")
      if(access(tmp1)==1) imren(tmp1,"tmp.fits",ver-)
      bye
    }

    if(i==1){
      mv("all.cat","all_1.cat") 
      hselect(img[1],"CD1_1","yes") | scan(cd1)
      hselect(img[1],"CD1_2","yes") | scan(cd2)
      if(cd1==0){
        if(cd2>0) w=acos(0)
        if(cd2<0) w=-acos(0)
      }
      else        w=atan2(cd2,cd1)
    }
    if(i>=2){
      hselect(img[i],"RA,DEC","yes") | scan(ras,des)
      print(ras) | scanf("%f:%f:%f",rh,rm,rs)
      print(des) | scanf("%f:%f:%f",dd,dm,ds)
      rad2=(rh+rm/60+rs/3600)*15
      if(substr(des,1,1)=="-") ded2=dd-dm/60-ds/3600
      else                     ded2=dd+dm/60+ds/3600
      sx=3600*((rad1-rad2)*cos(w)+(ded2-ded1)*sin(w))/0.2
      sy=3600*(-(rad1-rad2)*sin(w)+(ded2-ded1)*cos(w))/0.2
      mv("all.cat","all_2.cat") 
      printf("all_1.cat all_2.cat %d %d\n",sx,sy, > "match.txt")
      !/mfs03s/teraity/modet/match match.txt > shift.txt
      list="shift.txt"
      while(fscan(list,dx,dy)!=EOF)
      sx=dx-sx
      sy=dy-sy
      imshift(mimg,mimg,-dx,-dy)
      printf("%s: dx=%6.1f  dy=%6.1f (%4.1f,%4.1f)\n",mimg,dx,dy,sx,sy)
      delete("match.txt")
      delete("shift.txt")
      delete("all_2.cat")
    }
  }
  delete("all_1.cat")
  if(t1==1)  imren(tmp1,"tmp.fits",ver-) 
  if(t2==1)  mv(tmp2,"match.txt") 
  if(t3==1)  mv(tmp3,"shift.txt") 
  if(t4==1)  mv(tmp4,"mkimg.cl.txt") 

end
# End of File